View Issue Details

IDProjectCategoryView StatusLast Update
0021375mantisbtbugtrackerpublic2016-08-28 01:12
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021375: Status @30@ is not editable when editing issue
Description

If a status code is removed and there is a defined workflow, the edit issue page doesn't allow editing of the status, since there are no transitions from the invalid status. The fix is to delete the workflow configuration. Ideally, the code would detect that the status is unknown and enable transition to any of the statuses.

Fix is in core/print_api - get_status_option_list()

Tagsmantishub

Activities

Related Changesets

MantisBT: master 89fd6b80

2016-07-21 18:10:54

vboctor

Details Diff
Fix updating issues with undefined status

Fixes 0021375
mod - core/print_api.php Diff File

MantisBT: master-1.3.x de31cb6b

2016-07-21 18:10:54

vboctor

Details Diff
Fix updating issues with undefined status

Fixes 0021375
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2016-07-19 04:07 vboctor New Issue
2016-07-19 04:07 vboctor Status new => assigned
2016-07-19 04:07 vboctor Assigned To => vboctor
2016-07-19 04:08 vboctor Tag Attached: mantishub
2016-07-21 18:12 vboctor Note Added: 0053685
2016-07-31 19:49 vboctor Changeset attached => MantisBT master 89fd6b80
2016-07-31 19:49 vboctor Status assigned => resolved
2016-07-31 19:49 vboctor Resolution open => fixed
2016-07-31 19:49 vboctor Fixed in Version => 2.0.0-beta.2
2016-07-31 19:49 vboctor Changeset attached => MantisBT master-1.3.x de31cb6b
2016-08-01 02:43 atrol Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-01 02:43 atrol Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed